Bug 42505 - EDITING: Inserting a frame around a table is not undoable - Undo is reset
Summary: EDITING: Inserting a frame around a table is not undoable - Undo is reset
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2011-11-02 04:31 UTC by sasha.libreoffice
Modified: 2018-04-22 02:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-11-02 04:31:26 UTC
To reproduce this bug:
0. Open Writer with new empty document
1. Insert table
2. Select all table
3. Do Insert->Frame, then press Ok.
Table then appears inside of frame, but this can not be undone.

Reproduced on WindowsXP LibreOffice 3.4.3 and Fedora 64 bit LibreOffice 3.3.3
Comment 1 sasha.libreoffice 2012-01-09 01:20:09 UTC
reproduced in LibO 3.5.0 beta 1 on Fedora 64 bit
Comment 2 A (Andy) 2013-05-03 22:22:30 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 3 Cédric Bosdonnat 2014-01-20 08:57:30 UTC
Restricted my LibreOffice hacking area
Comment 4 Joel Madero 2015-05-02 15:43:18 UTC Comment hidden (obsolete)
Comment 5 Gordo 2015-05-14 15:07:15 UTC
Reproducible.

Not only is it undoable, but every action before this can no longer be undone--Undo has been reset.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 6 QA Administrators 2016-11-08 11:12:52 UTC Comment hidden (obsolete)
Comment 7 Phil Krylov 2017-03-17 20:42:08 UTC
Version: 5.4.0.0.alpha0+
Build ID: 5de40734af30a8b897c6c5b7f681759e36a25557
CPU threads: 2; OS: Mac OS X 10.9.5; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-03-10_04:48:50
Locale: de-DE (de.UTF-8); Calc: group

The bug is still there; undo stack is lost after frame insertion.
Comment 8 QA Administrators 2018-04-22 02:32:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug